Update chat completion (PUT)
curl --request PUT \
--url https://api.onvy.health/users/{user_id}/chat/completions/{completion_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "<string>",
"content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}
'import requests
url = "https://api.onvy.health/users/{user_id}/chat/completions/{completion_id}"
payload = {
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "<string>",
"content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
object: '<string>',
created: 123,
model: '<string>',
choices: [{index: 123, message: {role: '<string>', content: '<string>'}}],
usage: {prompt_tokens: 123, completion_tokens: 123, total_tokens: 123}
})
};
fetch('https://api.onvy.health/users/{user_id}/chat/completions/{completion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "<string>",
"content": "<string>"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}chat
Update chat completion (PUT)
Fully update a chat completion
PUT
/
users
/
{user_id}
/
chat
/
completions
/
{completion_id}
Update chat completion (PUT)
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Chat completion ID
Body
application/json
Complete chat completion data
Was this page helpful?